/****************************************************************************/
/*

DESCRIPTION

	Hypervisor custom logging facility.

COPYRIGHT

	Copyright 2008-2009 Freescale Semiconductor, Inc.

*/
/****************************************************************************/


#ifndef USR_PUT_HYPER_H_
#define USR_PUT_HYPER_H_

/* forward declaration for custom logging buffering structure
 * The hypervisor agent is configured to use custom log flag
 */
#define MAX_LOG_COUNT 63

typedef struct
{
	char logMessage[MAX_LOG_COUNT + 1];
	short logCount;
}TrkLogBuffer;

void usr_put_initialize_custom( void );

int usr_putchar_custom(int c);

#endif /* USR_PUT_HYPER_H_ */
