/******************************************************************************************/
/*
	
DESCRIPTION

	Synchronization primitives for default implementation.
	
	Note: this implementation does not provide any functionality.

COPYRIGHT

	Copyright 1999, 2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef _MUTEX_TRK_H_
#define _MUTEX_TRK_H_


/*
 *	includes
 */
#include "dserror.h"

/*
 *	Error codes
 */
enum {								/* DSError; see dserror.h */
	kMutexAcquireErr = 0x0200
};

/*
 *	Types
 */
typedef unsigned int DSMutex;		/* implementation specific */


/****************************************************************************/

__extern_c

	DSError InitializeMutex(DSMutex* mutex);
	DSError AcquireMutex(DSMutex* mutex);
	DSError ReleaseMutex(DSMutex* mutex);

__end_extern_c

#endif /* _MUTEX_TRK_H_ */
