/****************************************************************************/
/*

DESCRIPTION

	Hypervisor-specific implementation of the CharLayer interface
	for communicating through a byte channel.

COPYRIGHT

	Copyright 2008-2009 Freescale Semiconductor, Inc.

*/
/****************************************************************************/

#ifndef BYTE_CHAN_WRAPPER_
#define BYTE_CHAN_WRAPPER_

#include "trk_prefix.h"
#include "dstypes.h"
#include "transport_clayer.h"

/* declare the global transport Irq handler for the top transport layer */
void TransportIrq( void );

bool EnableByteChannelEvents( void );
bool DisableByteChannelEvents( void );
bool EnableByteChannelReceive( void );
bool DisableByteChannelReceive( void );

#endif /*BYTE_CHAN_WRAPPER_*/
