/******************************************************************************************/
/*

DESCRIPTION

	Standalone Standard C Library Implementation for string operations.

COPYRIGHT

	Copyright 2000-2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef _STRING_TRK_H_
#define _STRING_TRK_H_

#ifdef _ENTERPRISE_C_

#include <stddef.h>

#else
#ifndef _NO_SYSTEM_INCLUDES
#include <string.h>
#endif
#endif

#include "macro.h"

__extern_c

	size_t TRK_strlen(const char * str);
	char * TRK_strcat(char * dst, const char * src);

__end_extern_c

#endif /* _STRING_TRK_H_ */
