/******************************************************************************************/
/*

DESCRIPTION

	Default generic target address translation routines.
		
COPYRIGHT

	Copyright 2000-2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "trk_prefix.h"
#include "dstypes.h"
#include "usr_put.h"

#include "targimpl.h"

/***************************************************************************/
/*
 *	Translate the given virtual address to a useable address on the
 *	target system.
 */
/***************************************************************************/
void *TargetTranslate( void *address )
{
	//
	// The default generic implementation - no translation.
	//
	return( address );
}

